Subject: Re: cygwin programs called from non-cygwin programs mauling \" in args
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jan 2005 01:41:41 -0800

On Thu, Jan 20, 2005 at 10:26:13AM +0100, Corinna Vinschen wrote:
> Yitzchak,
> 
> On Jan 19 15:34, Yitzchak Scott-Thoennes wrote:
> > > $ ./nocygparent cygchild
> > > [a\b"c]
> > 
> > Can anybody else confirm this?
> 
> I can.  I already had a look into this.

Wonderful!  Thanks a lot!

> The command line handling in
> Cygwin is different from the command line handling in MingW or, FWIW,
> VC++ CLI applications.
> 
> The question is if we really should align the rules how a native
> command line is evaluated by a Cygwin process should be aligned
> to Windows rules or not.

I'd be happy with \" coming out either as " or as \".  But just \ is just
a little too weird for me (aside from the trouble it's causing me).

> There are three arguments to consider:
> 
> - Using Windows/MingW rules lowers the surprise.
> 
> - Changing the rules at all breaks backward compatibility.
> 
> - Why shouldn't Cygwin applications use their own rules which seem
>   more appropriate for a POSIX application?
> 
> Btw., if you want the same result as for the noncygchild, just quote:
> 
>   $ cygchild "a\"b\"c"

That's what I'm doing for now with a local patch, but the upstream
code in question has to run under many different operating systems,
and I'm reluctant to suggest changing it.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/